picard-tools (2.23.4+dfsg-3) unstable; urgency=medium

  * Team upload.
  * debian/tests/control: adjustments to avoid testing on non-amd64
    Closes: #970502
  * Mark the remaining patches as not needing forwarding to upstream.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 08 Oct 2020 18:41:58 +0200

picard-tools (2.23.4+dfsg-2) unstable; urgency=medium

  * Fixed classpath in picard.jar Manifest (s/:/ /g)

 -- Steffen Moeller <moeller@debian.org>  Fri, 11 Sep 2020 23:40:02 +0200

picard-tools (2.23.4+dfsg-1) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Refresh patches
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Andreas Tille ]
  * New upstream version
  * Remove redundant debian/gbp.conf

 -- Andreas Tille <tille@debian.org>  Thu, 10 Sep 2020 17:43:02 +0200

picard-tools (2.22.8+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Source only upload
    Closes: #961865

 -- Olivier Sallou <osallou@debian.org>  Fri, 29 May 2020 08:25:43 +0000

picard-tools (2.18.25+dfsg-3) unstable; urgency=medium

  * Remove libguava-java-doc dependency (Closes: #961700).
  * debian/patches/60-tests-exclude-network.patch remove test needing
    network hostname resolution

 -- Olivier Sallou <osallou@debian.org>  Fri, 29 May 2020 07:11:48 +0000

picard-tools (2.18.25+dfsg-2) unstable; urgency=medium

  * Architecture amd64 (for libpicard-java and picard-tools)
    Closes: #921185
  * Remove trailing whitespace in debian/changelog

 -- Andreas Tille <tille@debian.org>  Sun, 03 Feb 2019 08:53:09 +0100

picard-tools (2.18.25+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Olivier Sallou <osallou@debian.org>  Fri, 25 Jan 2019 10:46:36 +0000

picard-tools (2.18.23+dfsg-2) unstable; urgency=medium

  * Fix Class-Path in manifest file for dependencies  (Closes: #919559).

 -- Olivier Sallou <osallou@debian.org>  Thu, 17 Jan 2019 15:54:27 +0000

picard-tools (2.18.23+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Fri, 11 Jan 2019 22:52:33 +0100

picard-tools (2.18.17+dfsg-1) unstable; urgency=medium

  [ Emmanuel Bourg ]
  * Fixed the build failure with Java 11
    Closes: #915898, #880258

  [ Andreas Tille ]
  * New upstream version
  * Secure URI in copyright format
  * Remove trailing whitespace in debian/changelog
  * Remove trailing whitespace in debian/control
  * Remove trailing whitespace in debian/rules
  * Add ALIGNMENT_STATUS=All to command line
    Closes: #905645

 -- Andreas Tille <tille@debian.org>  Wed, 12 Dec 2018 09:06:37 +0100

picard-tools (2.18.14+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.2.1
  * Fix link
    Closes: #905706
  * Versioned Build-Depends: libhtsjdk-java (>= 2.16.1~)
  * d/rules: Respect DEB_BUILD_OPTIONS in override_dh_auto_test
  * Simplified d/copyright by not mentioning every single file

 -- Andreas Tille <tille@debian.org>  Wed, 19 Sep 2018 09:20:48 +0200

picard-tools (2.18.2+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Backports-friendly debhelper 11
  * Bump versioned Build-Depends on libhtsjdk-java and default-jdk

  [O. Sallou]
  * Java 9/10 fixes
  * Remove Google NIO support (not packaged in Debian)
  * Enable unit tests after jcommander fix

 -- Andreas Tille <tille@debian.org>  Tue, 17 Apr 2018 22:45:38 +0200

picard-tools (2.8.1+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Fixed the build failure with Java 9 (Closes: #894329)
  * Standards-Version updated to 4.1.4
  * Switch to debhelper level 11
  * Use salsa.debian.org Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 06 Apr 2018 17:36:09 +0200

picard-tools (2.8.1+dfsg-3) unstable; urgency=medium

  * debian/upstream/metadata: RRID -> SciCrunch
  [ Olivier Sallou ]
  * d/patches/40-tests-fix-testng.patch: fix testng reference
  * d/rules: disable unit tests due to gradle 3.2+testng issue
    (will be fixed by gradle 3.4), lower #880258 severity

 -- Steffen Moeller <moeller@debian.org>  Sun, 22 Oct 2017 18:38:46 +0200

picard-tools (2.8.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Add simple autopkgtest test-suite
    Closes: #848334
  * Add README.test

 -- Nadiya Sitdykova <rovenskasa@gmailc.om>  Fri, 31 Mar 2017 01:15:20 -0400

picard-tools (2.8.1+dfsg-1) unstable; urgency=medium

  [ Vincent Danjean ]
  * Ensure versioned B-D and Depends are in sync

  [ Andreas Tille ]
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 10 Jan 2017 11:20:45 +0100

picard-tools (2.8.0+dfsg-2) unstable; urgency=medium

  * Fix versioned Depends
    Closes: #848831

 -- Andreas Tille <tille@debian.org>  Tue, 20 Dec 2016 08:52:21 +0100

picard-tools (2.8.0+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version
  * debhelper 10
  * d/watch: version=4
  * Ensure that major version of htsjdk is 2.8

  [ Vincent Danjean ]
  * Really force C locale for tests
  * Fix parameter type for one test
  * cleanup generated test files

 -- Andreas Tille <tille@debian.org>  Sun, 18 Dec 2016 19:29:34 +0100

picard-tools (2.7.1+dfsg-2) unstable; urgency=medium

  * Rebuild with htsjdk 2.7
  * Ensure for build and runtime that major versions of picard-tools
    and htsjdk are the same.

 -- Vincent Danjean <vdanjean@debian.org>  Sun, 27 Nov 2016 21:01:25 +0100

picard-tools (2.7.1+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 27 Oct 2016 17:10:08 +0200

picard-tools (2.6.0+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * New upstream version
  * Bump versioned dependency of libhtsjdk-java
  * d/copyright: remove *.bak files which are removed in clean target anyway

  [ Vincent Danjean ]
  * Avoid warnings when running PicardCommandLine

  [ Sascha Steinbiss ]
  * Patch build.gradle to remove shadowJar.
  * Fix test case with mismatching data provider and test method.
  * Drop unneeded jh_installlibs override.
  * Remove duplicated build-deps.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 10 Sep 2016 15:55:28 +0000

picard-tools (2.5.0-gradle+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Switch to gradle build system

 -- Vincent Danjean <vdanjean@debian.org>  Thu, 07 Jul 2016 10:21:33 +0200

picard-tools (2.1.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Adapt debian/watch to use xz compression
  * Remove Shaun Jackman and add myself as Uploader
  * cme fix dpkg-control

  [ Steffen Moeller and Jon Ison ]
  * Added EDAM annotation to debian/upstream/edam

 -- Andreas Tille <tille@debian.org>  Tue, 05 Apr 2016 09:59:27 +0200

picard-tools (1.138+dfsg.1-1) unstable; urgency=medium

  * New release from new upstream location (github). Closes: #798051
  * Full reorganization of the packaging

 -- Vincent Danjean <vdanjean@debian.org>  Tue, 08 Sep 2015 11:15:42 +0200

picard-tools (1.113-2) unstable; urgency=medium

  * Team upload.
  * Replaced the dependency on libsnappy1.0.3-java with libsnappy-java.
  * Standards-Version updated to 3.9.6 (no changes)

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 02 Sep 2015 13:10:32 +0200

picard-tools (1.113-1) unstable; urgency=medium

  * New upstream release 1.113

 -- Olivier Sallou <osallou@debian.org>  Fri, 06 Jun 2014 23:27:25 +0200

picard-tools (1.110-1) unstable; urgency=medium

  * Imported Upstream version 1.110.
  * Normalised debian/control with config-model-edit.
  * Refreshed patch ‘use_libjbzip2-java’.

 -- Charles Plessy <plessy@debian.org>  Sun, 06 Apr 2014 10:56:12 +0900

picard-tools (1.109-1) unstable; urgency=medium

  * Imported Upstream versions 1.106, 1.107, 1.108 and 1.109.

 -- Charles Plessy <plessy@debian.org>  Sat, 22 Mar 2014 11:35:22 +0900

picard-tools (1.105-1) unstable; urgency=low

  * New upstream release 1.105
  * Conforms with Policy 3.9.5.

 -- Olivier Sallou <osallou@debian.org>  Tue, 24 Dec 2013 11:16:18 +0100

picard-tools (1.100-1) unstable; urgency=low

  [Charles Plessy]
  * Imported Upstream version 1.100
  * Compress the source archive with XZ.
  * Mark the use of git-buildpackage and pristine-tar with a gbp.conf file.
  [Olivier Sallou]
  * d/rules: fix build for release

 -- Charles Plessy <plessy@debian.org>  Sun, 20 Oct 2013 10:38:11 +0900

picard-tools (1.95-1) unstable; urgency=low

  * New upstream release
  * Fix man page with missing tools from previous releases
  * Fix picard-tools binary to manage missing tools from previous
    releases
  * Fix management of JAVA_OPTIONS if not set at all.

 -- Olivier Sallou <osallou@debian.org>  Thu, 25 Jul 2013 13:36:02 +0200

picard-tools (1.90-3) unstable; urgency=low

  * Add possibility to specify JAVA options (Closes: #705681),
    with JAVA_OPTIONS env variable.

 -- Olivier Sallou <osallou@debian.org>  Tue, 09 Jul 2013 09:20:07 +0200

picard-tools (1.90-2) unstable; urgency=low

  * Load in unstable, all deps are available.

 -- Olivier Sallou <osallou@debian.org>  Sun, 02 Jun 2013 10:57:05 +0200

picard-tools (1.90-1) experimental; urgency=low

  * New upstream release

 -- Olivier Sallou <osallou@debian.org>  Wed, 01 May 2013 13:57:05 +0200

picard-tools (1.87-1) experimental; urgency=low

  * New upstream release

 -- Olivier Sallou <osallou@debian.org>  Wed, 01 May 2013 15:14:04 +0100

picard-tools (1.82-2) unstable; urgency=low

  * Fix classpath for BuildBamIndex (Closes: #705686).

 -- Olivier Sallou <osallou@debian.org>  Fri, 19 Apr 2013 14:26:23 +0200

picard-tools (1.82-1) unstable; urgency=low

  * New upstream release

 -- Olivier Sallou <osallou@debian.org>  Thu, 03 Jan 2013 10:46:26 +0100

picard-tools (1.80-1) unstable; urgency=low

  * New upstream release

 -- Olivier Sallou <osallou@debian.org>  Sun, 02 Dec 2012 23:10:10 +0100

picard-tools (1.79-1) unstable; urgency=low

  * New upstream release 1.79

 -- Olivier Sallou <osallou@debian.org>  Mon, 29 Oct 2012 08:58:44 +0100

picard-tools (1.78-1) unstable; urgency=low

  * New upstream release

 -- Olivier Sallou <osallou@debian.org>  Sat, 13 Oct 2012 11:20:49 +0200

picard-tools (1.77-1) unstable; urgency=low

  * New upstream release

 -- Olivier Sallou <osallou@debian.org>  Fri, 21 Sep 2012 16:41:23 +0200

picard-tools (1.76-1) unstable; urgency=low

  * New upstream release

 -- Olivier Sallou <osallou@debian.org>  Fri, 07 Sep 2012 11:44:03 +0200

picard-tools (1.75-1) unstable; urgency=low

  [Olivier Sallou]
  * New upstream releases.
  * Build-depend on libsnappy1.0.3-java (debian/control).
  [Charles Plessy]
  * Refreshed debian/patches/01-build.xml.
  * Use default java implementation.
    - debian/control: BD on default-jdk, switch runtime dependency to
      default-jre | java6-runtime.
    - debian/rules: Specify source/target = 1.5 to ensure that backwards
      compatible bytecode is built.
    - Closes: #684172, thanks to J. Page and Ubuntu.

 -- Olivier Sallou <osallou@debian.org>  Thu, 06 Sep 2012 09:10:11 +0900

picard-tools (1.46-1) unstable; urgency=low

  * New upstream release.
  * Depend on ${python:Depends} (debian/changelog).
  * Incremented Standards-Version to reflect conformance with Policy 3.9.2
    (debian/changelog, no changes needed).
  * Corrected and validated debian/copyright machine-readable format.

 -- Charles Plessy <plessy@debian.org>  Fri, 03 Jun 2011 20:50:00 +0900

picard-tools (1.41-1) unstable; urgency=low

  * New upstream release. Closes: #619201.
  * Add five commands to bin/picard-tools and picard-tools.1.

 -- Shaun Jackman <sjackman@debian.org>  Tue, 22 Mar 2011 10:52:23 -0700

picard-tools (1.27-1) unstable; urgency=low

  * New upstream release.
  * Incremented Standards-Version to reflect conformance with Policy 3.9.1
    (debian/changelog, no changes needed).

 -- Charles Plessy <plessy@debian.org>  Tue, 03 Aug 2010 20:20:10 +0900

picard-tools (1.25-1) unstable; urgency=low

  * New upstream release.

 -- Shaun Jackman <sjackman@debian.org>  Tue, 06 Jul 2010 16:06:18 -0700

picard-tools (1.24-1) UNRELEASED; urgency=low

  * Initial release. Closes: #586015.

 -- Shaun Jackman <sjackman@debian.org>  Tue, 15 Jun 2010 10:41:09 -0700
